UNIT UPreferences;

INTERFACE

USES Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Dialogs;

TYPE
  TfrmPreferences = CLASS(TForm)
    OKButton: TButton;
    gbLog: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    btnBackGround: TButton;
    btnText: TButton;
    dlgColor: TColorDialog;
    dlgTextFont: TFontDialog;
    gbTimeOut: TGroupBox;
    Label3: TLabel;
    edTimeout: TEdit;
    Label4: TLabel;
    gbNameServers: TGroupBox;
    memoNameServers: TMemo;
    PROCEDURE btnBackGroundClick(Sender: TObject);
    PROCEDURE btnTextClick(Sender: TObject);
    procedure edTimeoutKeyPress(Sender: TObject; var Key: Char);
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  PRIVATE
    { Private declarations }
  PUBLIC
    { Public declarations }
  END;

VAR
  frmPreferences: TfrmPreferences;

{--------------------------------------------------------}
IMPLEMENTATION

USES UDNSClient;

{$R *.DFM}

PROCEDURE TfrmPreferences.FormShow(Sender: TObject);
BEGIN
  edTimeOut.Text := IntToStr(MaxTimeOut);
  memoNameServers.Lines := frmMain.cbHost.Items;
END;

PROCEDURE TfrmPreferences.FormHide(Sender: TObject);
BEGIN
  MaxTimeOut := StrToInt(edTimeOut.Text);
  frmMain.cbHost.Items := memoNameServers.Lines;
END;

PROCEDURE TfrmPreferences.btnBackGroundClick(Sender: TObject);
BEGIN
  IF dlgColor.Execute THEN frmMain.memoLog.Color := dlgColor.Color;
END;

PROCEDURE TfrmPreferences.btnTextClick(Sender: TObject);
BEGIN
  dlgTextFont.Font := frmMain.memoLog.Font;
  IF dlgTextFont.Execute THEN frmMain.memoLog.Font := dlgTextFont.Font;
END;

PROCEDURE TfrmPreferences.edTimeoutKeyPress(Sender: TObject; VAR Key: Char);
BEGIN
  IF Ord(Key) > 31 THEN
    IF NOT (Key IN ['0','1','2','3','4','5','6','7','8','9']) THEN Key := #0;
END;



END.
